package web;

import hello.Hello;
import hello.HelloHome;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class Client{

    public static void main(String[] args) throws Exception{
		System.out.println(sayHello());
    }

	public static String sayHello(){

		try{		
			InitialContext context = new InitialContext();
			Object object = context.lookup("java:comp/env/ejb/HelloEJB");
			HelloHome home = (HelloHome)PortableRemoteObject.narrow(
				object, HelloHome.class);
	
			Hello hello = home.create();
			String message = hello.sayHello();
			return message;

		}catch(Exception e){
			e.printStackTrace();
			return e.toString();
		}
	}


}
